Alerta de Segurança Debian

DSA-999-1 lurker -- várias vulnerabilidades

Data do Alerta:
14 Mar 2006
Pacotes Afetados:
lurker
Vulnerável:
Sim
Referência à base de dados de segurança:
No dicionário CVE do Mitre: CVE-2006-1062, CVE-2006-1063, CVE-2006-1064.
Informações adicionais:

Vários problemas relacionados à segurança foram descobertos no lurker, uma ferramenta de arquivo para listas de discussão com mecanismo de busca integrado. O [1]projeto Common Vulnerabilities and Exposures identificou os seguintes problemas:

  • CVE-2006-1062

    O mecanismo do Lurker para especificar arquivos de configuração é vulnerável a ser cancelado. Como o lurker inclui seções de arquivos de configuração não tratados em sua saída, um atacante pode manipular o lurker quando lendo qualquer arquivo legível pelo usuário www-data.

  • CVE-2006-1063

    É possível para um atacante remoto criar ou sobrescrever arquivos em qualquer diretório com permissão de escrita com o nome "mbox".

  • CVE-2006-1064

    Falta de limpeza na entrada permite que um atacante remoto injete script web ou HTML arbitrário.

A antiga distribuição estável ("woody") não contém o pacote lurker.

Para a distribuição estável ("sarge") estes problemas foram corrigidos na versão 1.2-5sarge1.

Para a distribuição instável ("sid") estes problemas foram corrigidos na versão 2.1-1.

Recomendamos que você atualize seu pacote lurker.

Corrigido em:

Debian GNU/Linux 3.1 (sarge)

Fonte:
http://security.debian.org/pool/updates/main/l/lurker/lurker_1.2-5sarge1.dsc
http://security.debian.org/pool/updates/main/l/lurker/lurker_1.2-5sarge1.diff.gz
http://security.debian.org/pool/updates/main/l/lurker/lurker_1.2.orig.tar.gz
Alpha:
http://security.debian.org/pool/updates/main/l/lurker/lurker_1.2-5sarge1_alpha.deb
AMD64:
http://security.debian.org/pool/updates/main/l/lurker/lurker_1.2-5sarge1_amd64.deb
ARM:
http://security.debian.org/pool/updates/main/l/lurker/lurker_1.2-5sarge1_arm.deb
Intel IA-32:
http://security.debian.org/pool/updates/main/l/lurker/lurker_1.2-5sarge1_i386.deb
Intel IA-64:
http://security.debian.org/pool/updates/main/l/lurker/lurker_1.2-5sarge1_ia64.deb
HPPA:
http://security.debian.org/pool/updates/main/l/lurker/lurker_1.2-5sarge1_hppa.deb
Motorola 680x0:
http://security.debian.org/pool/updates/main/l/lurker/lurker_1.2-5sarge1_m68k.deb
Big endian MIPS:
http://security.debian.org/pool/updates/main/l/lurker/lurker_1.2-5sarge1_mips.deb
Little endian MIPS:
http://security.debian.org/pool/updates/main/l/lurker/lurker_1.2-5sarge1_mipsel.deb
PowerPC:
http://security.debian.org/pool/updates/main/l/lurker/lurker_1.2-5sarge1_powerpc.deb
IBM S/390:
http://security.debian.org/pool/updates/main/l/lurker/lurker_1.2-5sarge1_s390.deb
Sun Sparc:
http://security.debian.org/pool/updates/main/l/lurker/lurker_1.2-5sarge1_sparc.deb

Checksums MD5 dos arquivos listados estão disponíveis no alerta original.